Page MenuHomePhabricator

Special:NewLexeme no longer supports passing lemma-language in the URL
Closed, ResolvedPublic3 Story Points

Description

For some languages, Special:NewLexeme requires entering the lemma language separately. Until a few weeks ago, it was possible to pass lemma-language as a URL parameter to Special:NewLexeme to prefill the form fields. Now the lemma-language parameter is ignored and the lexeme can't be added unless the user manually fills in that field. Other parameters still work.

Examples:

It would be useful for this to work again, because then people can create links/bookmarks for common combinations.

Event Timeline

Nikki created this task.Oct 1 2018, 1:50 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 1 2018, 1:50 PM
Addshore moved this task from Incoming to In Progress on the Wikidata-Campsite board.
Addshore set the point value for this task to 3.
Addshore moved this task from incoming to in progress on the Wikidata board.
Addshore triaged this task as High priority.Oct 2 2018, 1:39 PM
Addshore added a subscriber: JeroenDeDauw.

Marking as high as it is a Regression

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 2 2018, 2:38 PM
Ladsgroup removed Ladsgroup as the assignee of this task.Oct 2 2018, 3:41 PM
Ladsgroup added subscribers: Jakob_WMDE, Ladsgroup.

This was happening before the refactorings (I used an old version) and it's a frontend issue. When you apply it, the input element has the value of the language but it gets overridden by the language selector widget. Probably @Jakob_WMDE is better suited to take a look here.

Tarrow claimed this task.Oct 8 2018, 8:36 AM
Tarrow added a subscriber: Tarrow.

Since @Jakob_WMDE is now hiking on Termbox I'll pick this up and take a look. If I hit a wall I'll page him :)

Change 466942 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Stop clearing lemma language code on Special:NewLexeme load

https://gerrit.wikimedia.org/r/466942

Change 466942 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Stop clearing lemma language code on Special:NewLexeme load

https://gerrit.wikimedia.org/r/466942

Hey @Nikki , this should be fixed on wikidata.org tomorrow. Let me know if you encounter other issues!